package com.example.demo;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@Controller
public class RozmowaController {
    
    @RequestMapping(path="/rozmowa", method=RequestMethod.GET)
    public String rozmowa() {
        // w przypadku metody GET tylko wyświetlamy pusty formularz
        return "rozmowa.html";
    }

    @RequestMapping(path="/rozmowa", method=RequestMethod.POST)
    public String rozmowa(String imie, Model model) {
        // w przypadku metody POST pobieramy przysłane imię i umieszczamy powitanie na stronie
        // (o ile imię zostało przysłane)
        System.out.println("Przysłane imię: " + imie);
        if(imie != null && !imie.isEmpty()) {
            model.addAttribute("powitanie", "Witaj " + imie);
        }
        return "rozmowa.html";
    }
    
}
